package com.yeejoin.equipmanage.common.enums;

/**
 * @author keyong
 * @title: AlarmTypeEnum
 * <pre>
 * @description:
 * </pre>
 * @date 2020/12/22 15:48
 */
public enum AlarmGridColumnEnum {

    GJLX("type", "告警类型", "type"), GJSB("fireEquipmentName", "告警设备", "fireEquipmentName"), GJNR("type", "告警内容", "type"),
    SBBH("fireEquipmentCode", "设备编号", "fireEquipmentCode"), GJWZ("warehouseStructureName", "告警位置", "warehouseStructureName"),
    BHDX("equipmentName", "保护对象", "equipmentName"), GJSJ("createDate", "告警时间", "createDate"), CLZT("handleStatus", "处理状态", "handleStatus"),
    CLLX("handleType", "处理类型", "handleType"), GJBH("id", "告警编号", "id");

    private String key;
    private String title;
    private String dataIndex;

    AlarmGridColumnEnum(String key, String title, String dataIndex) {
        this.key = key;
        this.title = title;
        this.dataIndex = dataIndex;
    }

    public String getKey() {
        return key;
    }

    public String getTitle() {
        return title;
    }

    public String getDataIndex() {
        return dataIndex;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public void setDataIndex(String dataIndex) {
        this.dataIndex = dataIndex;
    }
}
